# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN/Uploader.pm) perl(Const/Fast.pm) perl(JSON.pm) perl(LWP.pm) perl(LWP/Protocol/https.pm) perl(Log/Any.pm) perl(Log/Any/Test.pm) perl(Modern/Perl.pm) perl(Module/Build/Tiny.pm) perl(Moo.pm) perl(Software/License/Artistic_2_0.pm) perl(Test/CPAN/Meta.pm) perl(Test/Exception.pm) perl(Test/MinimumVersion/Fast.pm) perl(Test/More.pm) perl(Test/PAUSE/Permissions.pm) perl(Test/Pod.pm) perl(Test/Spellunker.pm) perl(URI.pm) perl(Version/Next.pm)
# END SourceDeps(oneline)
%define module_name WG-API
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.11
Release: alt1
Summary: Module for work with Wargaming.net Public API
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CY/CYNOVG/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
Wargaming.net Public API is a set of API methods that provide access to Wargaming.net content, including in-game and game-related content, as well as player statistics.

This module provide access to WG Public API

    use WG::API;

    my $wg = WG::API->new( application_id => 'demo' );
    ...
    my $player = $wg->net( language => 'en' )->account_info( account_id => '1' );

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md ignore.txt LICENSE Changes
%perl_vendor_privlib/W*

%changelog
* Thu Jan 03 2019 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1
- initial import by package builder

